be.fgov.ehealth.certra.core.v2

## Class CertificateInfoType

- java.lang.Object
- - be.fgov.ehealth.certra.core.v2.CertificateInfoType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:40:04+01:00",
                 comments="JAXB RI v2.3.7")
      public class CertificateInfoType
      extends Object
      implements Serializable

  Contains all the information about an authentication certificate and encryption token as it exists in the RA database.

  Java class for CertificateInfoType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CertificateInfoType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="RequestedDate" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
               <element name="PublicKeyIdentifier" type="{urn:be:fgov:ehealth:etee:commons:core:v2}PublicKeyIdentifier"/>
               <element name="CertificateEntity" type="{urn:be:fgov:ehealth:certra:core:v2}CertificateEntityType"/>
               <element name="AuthenticationCertificateStatus" type="{urn:be:fgov:ehealth:certra:core:v2}CertificateStatusType"/>
               <element name="ETKStatus" type="{urn:be:fgov:ehealth:certra:core:v2}ETKStatusType"/>
               <element name="AutomaticallyValidated" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
               <element name="AuthenticationCertificateDetails" type="{urn:be:fgov:ehealth:certra:core:v2}CertificateDetailsType" minOccurs="0"/>
               <element name="Revocable" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
               <element name="Replaceable" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
               <element name="ReplacementPeriodStartDate" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
               <element name="ContactData" type="{urn:be:fgov:ehealth:certra:core:v2}ContactDataType"/>
               <element name="BaseServiceUsage" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CertificateInfoType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CertificateDetailsType` | `getAuthenticationCertificateDetails()` Gets the value of the authenticationCertificateDetails property.
    `CertificateStatusType` | `getAuthenticationCertificateStatus()` Gets the value of the authenticationCertificateStatus property.
    `List<String>` | `getBaseServiceUsages()` Gets the value of the baseServiceUsages property.
    `CertificateEntityType` | `getCertificateEntity()` Gets the value of the certificateEntity property.
    `ContactDataType` | `getContactData()` Gets the value of the contactData property.
    `ETKStatusType` | `getETKStatus()` Gets the value of the etkStatus property.
    `byte[]` | `getPublicKeyIdentifier()` Gets the value of the publicKeyIdentifier property.
    `org.joda.time.DateTime` | `getReplacementPeriodStartDate()` Gets the value of the replacementPeriodStartDate property.
    `org.joda.time.DateTime` | `getRequestedDate()` Gets the value of the requestedDate property.
    `boolean` | `isAutomaticallyValidated()` Gets the value of the automaticallyValidated property.
    `boolean` | `isReplaceable()` Gets the value of the replaceable property.
    `boolean` | `isRevocable()` Gets the value of the revocable property.
    `void` | `setAuthenticationCertificateDetails(CertificateDetailsType value)` Sets the value of the authenticationCertificateDetails property.
    `void` | `setAuthenticationCertificateStatus(CertificateStatusType value)` Sets the value of the authenticationCertificateStatus property.
    `void` | `setAutomaticallyValidated(boolean value)` Sets the value of the automaticallyValidated property.
    `void` | `setCertificateEntity(CertificateEntityType value)` Sets the value of the certificateEntity property.
    `void` | `setContactData(ContactDataType value)` Sets the value of the contactData property.
    `void` | `setETKStatus(ETKStatusType value)` Sets the value of the etkStatus property.
    `void` | `setPublicKeyIdentifier(byte[] value)` Sets the value of the publicKeyIdentifier property.
    `void` | `setReplaceable(boolean value)` Sets the value of the replaceable property.
    `void` | `setReplacementPeriodStartDate(org.joda.time.DateTime value)` Sets the value of the replacementPeriodStartDate property.
    `void` | `setRequestedDate(org.joda.time.DateTime value)` Sets the value of the requestedDate property.
    `void` | `setRevocable(boolean value)` Sets the value of the revocable property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CertificateInfoType

          public CertificateInfoType()

  - ### Method Detail

    - #### getRequestedDate

          public org.joda.time.DateTime getRequestedDate()

      Gets the value of the requestedDate property.
      Returns:
        possible object is `String`

    - #### setRequestedDate

          public void setRequestedDate(org.joda.time.DateTime value)

      Sets the value of the requestedDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getPublicKeyIdentifier

          public byte[] getPublicKeyIdentifier()

      Gets the value of the publicKeyIdentifier property.
      Returns:
        possible object is `String`

    - #### setPublicKeyIdentifier

          public void setPublicKeyIdentifier(byte[] value)

      Sets the value of the publicKeyIdentifier property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCertificateEntity

          public CertificateEntityType getCertificateEntity()

      Gets the value of the certificateEntity property.
      Returns:
        possible object is `CertificateEntityType`

    - #### setCertificateEntity

          public void setCertificateEntity(CertificateEntityType value)

      Sets the value of the certificateEntity property.
      Parameters:
        `value` - allowed object is `CertificateEntityType`

    - #### getAuthenticationCertificateStatus

          public CertificateStatusType getAuthenticationCertificateStatus()

      Gets the value of the authenticationCertificateStatus property.
      Returns:
        possible object is `CertificateStatusType`

    - #### setAuthenticationCertificateStatus

          public void setAuthenticationCertificateStatus(CertificateStatusType value)

      Sets the value of the authenticationCertificateStatus property.
      Parameters:
        `value` - allowed object is `CertificateStatusType`

    - #### getETKStatus

          public ETKStatusType getETKStatus()

      Gets the value of the etkStatus property.
      Returns:
        possible object is `ETKStatusType`

    - #### setETKStatus

          public void setETKStatus(ETKStatusType value)

      Sets the value of the etkStatus property.
      Parameters:
        `value` - allowed object is `ETKStatusType`

    - #### isAutomaticallyValidated

          public boolean isAutomaticallyValidated()

      Gets the value of the automaticallyValidated property.

    - #### setAutomaticallyValidated

          public void setAutomaticallyValidated(boolean value)

      Sets the value of the automaticallyValidated property.

    - #### getAuthenticationCertificateDetails

          public CertificateDetailsType getAuthenticationCertificateDetails()

      Gets the value of the authenticationCertificateDetails property.
      Returns:
        possible object is `CertificateDetailsType`

    - #### setAuthenticationCertificateDetails

          public void setAuthenticationCertificateDetails(CertificateDetailsType value)

      Sets the value of the authenticationCertificateDetails property.
      Parameters:
        `value` - allowed object is `CertificateDetailsType`

    - #### isRevocable

          public boolean isRevocable()

      Gets the value of the revocable property.

    - #### setRevocable

          public void setRevocable(boolean value)

      Sets the value of the revocable property.

    - #### isReplaceable

          public boolean isReplaceable()

      Gets the value of the replaceable property.

    - #### setReplaceable

          public void setReplaceable(boolean value)

      Sets the value of the replaceable property.

    - #### getReplacementPeriodStartDate

          public org.joda.time.DateTime getReplacementPeriodStartDate()

      Gets the value of the replacementPeriodStartDate property.
      Returns:
        possible object is `String`

    - #### setReplacementPeriodStartDate

          public void setReplacementPeriodStartDate(org.joda.time.DateTime value)

      Sets the value of the replacementPeriodStartDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getContactData

          public ContactDataType getContactData()

      Gets the value of the contactData property.
      Returns:
        possible object is `ContactDataType`

    - #### setContactData

          public void setContactData(ContactDataType value)

      Sets the value of the contactData property.
      Parameters:
        `value` - allowed object is `ContactDataType`

    - #### getBaseServiceUsages

          public List<String> getBaseServiceUsages()

      Gets the value of the baseServiceUsages property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the baseServiceUsages property.

      For example, to add a new item, do as follows:

              getBaseServiceUsages().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.